Package org.springframework.security.cas.userdetails

# Class AbstractCasAssertionUserDetailsService

java.lang.Object
org.springframework.security.cas.userdetails.AbstractCasAssertionUserDetailsService

All Implemented Interfaces:
  `org.springframework.security.core.userdetails.AuthenticationUserDetailsService<CasAssertionAuthenticationToken>`

Direct Known Subclasses:
  `GrantedAuthorityFromAssertionAttributesUserDetailsService`

public abstract class AbstractCasAssertionUserDetailsService extends Object implements org.springframework.security.core.userdetails.AuthenticationUserDetailsService<CasAssertionAuthenticationToken>
Abstract class for using the provided CAS assertion to construct a new User object. This generally is most useful when combined with a SAML-based response from the CAS Server/client.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`AbstractCasAssertionUserDetailsService()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract org.springframework.security.core.userdetails.UserDetails`
`loadUserDetails(org.apereo.cas.client.validation.Assertion assertion)`
Protected template method for construct a `UserDetails` via the supplied CAS assertion.
`final org.springframework.security.core.userdetails.UserDetails`
`loadUserDetails(CasAssertionAuthenticationToken token)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractCasAssertionUserDetailsService

public AbstractCasAssertionUserDetailsService()

## Method Details

### loadUserDetails

public final org.springframework.security.core.userdetails.UserDetails loadUserDetails(CasAssertionAuthenticationToken token)

Specified by:
  `loadUserDetails` in interface `org.springframework.security.core.userdetails.AuthenticationUserDetailsService<CasAssertionAuthenticationToken>`

### loadUserDetails

protected abstract org.springframework.security.core.userdetails.UserDetails loadUserDetails(org.apereo.cas.client.validation.Assertion assertion)
Protected template method for construct a `UserDetails` via the supplied CAS assertion.

Parameters:
  `assertion` - the assertion to use to construct the new UserDetails. CANNOT be NULL.
Returns:
  the newly constructed UserDetails.